## angband65_001a.zip

=== Makefile ===
include mk/rules.mk
include mk/objective.mk

SUBDIRS = src lib

clean-posthook:
	-rm config.status config.log

=== lib/apex/Makefile ===
MKPATH=../../mk/
include $(MKPATH)rules.mk
include $(MKPATH)objective.mk

OBJECTIVE_DATA = \
	delete.me:${DATA_PATH}/apex

install-posthook:
	if [ "x$(SETEGID)" != "x" ]; then \
		printf "%10s %-20s\n" TOUCH ${DATA_PATH}/apex/scores.raw; \
		if [ "x$(DRY)" = "x" ]; then \
			touch ${DATA_PATH}/apex/scores.raw; \
			chown -R root:${SETEGID} ${DATA_PATH}/apex; \
			chmod -R g+w ${DATA_PATH}/apex; \
		fi; \
	fi;

=== lib/user/Makefile ===
MKPATH=../../mk/
include $(MKPATH)rules.mk
include $(MKPATH)objective.mk

OBJECTIVE_DATA = \
	delete.me:${DATA_PATH}/user

=== lib/xtra/font/Makefile ===
MKPATH=../../../mk/
include $(MKPATH)rules.mk
include $(MKPATH)objective.mk

OBJECTIVE_DATA = \
	copying.txt:${DATA_PATH}/xtra/font  \
	5x8.fon:${DATA_PATH}/xtra/font      \
	6x10.fon:${DATA_PATH}/xtra/font     \
	6x12.fon:${DATA_PATH}/xtra/font     \
	6x13b.fon:${DATA_PATH}/xtra/font    \
	6x13.fon:${DATA_PATH}/xtra/font     \
	7x13b.fon:${DATA_PATH}/xtra/font    \
	7x13.fon:${DATA_PATH}/xtra/font     \
	8x13b.fon:${DATA_PATH}/xtra/font    \
	8x13c.fon:${DATA_PATH}/xtra/font    \
	8x13.fon:${DATA_PATH}/xtra/font     \
	8x16b.fon:${DATA_PATH}/xtra/font    \
	8x16.fon:${DATA_PATH}/xtra/font     \
	9x15b.fon:${DATA_PATH}/xtra/font    \
	9x15.fon:${DATA_PATH}/xtra/font     \
	10x17b.fon:${DATA_PATH}/xtra/font   \
	10x17.fon:${DATA_PATH}/xtra/font    \
	10x20.fon:${DATA_PATH}/xtra/font    \
	12x20b.fon:${DATA_PATH}/xtra/font   \
	12x20.fon:${DATA_PATH}/xtra/font    \
	12x24.fon:${DATA_PATH}/xtra/font    \
	16x25b.fon:${DATA_PATH}/xtra/font   \
	16x25.fon:${DATA_PATH}/xtra/font

=== lib/xtra/graf/Makefile ===
MKPATH=../../../mk/
include $(MKPATH)rules.mk
include $(MKPATH)objective.mk

OBJECTIVE_DATA = \
	16x16.bmp:${DATA_PATH}/xtra/graf    \
	16x16.png:${DATA_PATH}/xtra/graf    \
	32x32.png:${DATA_PATH}/xtra/graf    \
	8x13.bmp:${DATA_PATH}/xtra/graf     \
	8x8.bmp:${DATA_PATH}/xtra/graf      \
	8x8.png:${DATA_PATH}/xtra/graf      \
	backgrnd.bmp:${DATA_PATH}/xtra/graf \
	mask.bmp:${DATA_PATH}/xtra/graf     \

=== debian/changelog ===
angband (1:3.1.1-1) unstable; urgency=low

  * New upstream release. Angband 3.1.x is a development series which
    contains a number of major changes - see changes.txt for details.
  * This package is now entirely GPL compliant - moved to main.
  * Xaw support removed upstream.

 -- Chris Carr <rantingman@gmail.com>  Sat, 14 Feb 2009 15:10:02 -0000

angband (1:3.0.9b-3) unstable; urgency=medium

  * pre-inst fails on upgrade from version 1:3.0.5-1, as we are not
    checking /var/lib/games/angband/save has any files in it - if it
    doesn't, then you see the failure mode described. Analysis and fix
    from Matthew Vernon. This closes an important bug.  Closes:  #494199
  * /var/games/angband/data/spell.raw has wrong permissions. We set the
    correct permission on 4 other directories in the /var/games/angband/
    hierarchy, and really, this chmod g+w was a long standing bug. While
    not labeled important, this is a minimal change, and is consistent
    with the handling of other game files. Thanks to Chris Carr.
                                                        Closes: #490871
  * Updated Standards-Version. No changes.

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 04 Sep 2008 11:13:05 -0500

angband (1:3.0.9b-2) unstable; urgency=low

  * Record the fact that this package has moved to a new git repository.
  * Move to the new, make -j friendly targets in debian/rules.
  * Added support for the SDL mode display support into angband.

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 02 Jun 2008 11:11:35 -0500

angband (1:3.0.9b-1) unstable; urgency=low

  * New upstream release.  Angband 3.0.9b is a bugfix version of 3.0.9.
    It makes the following changes on top of those mentioned below:
     - Monsters are back up to their pre-3.0.9 levels of smartness.
     - Store UI behaviour changed so that pressing Enter no longer
       initiates buying.
     - Fix detection of curses libraries using autoconf.
     - Fix broken install using autoconf.
     - Add the tvals for oil and dragon armor to the tval squelch list.
     - Once again dump modified colour information to pref files.
     - Fix warnings when compiling the SDL port.
     - Fix up roguelike keys in the store (vs. 3.0.9a)

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 03 Apr 2008 18:47:33 -0500

angband (1:3.0.9-1) unstable; urgency=low

  * New upstream release. This is a fairly major update, and should work
    better than the older versions.                       Closes: #437001
  * Added new, working watch file, based on rephial site. Closes: #450258
  * Quote file names in preinst.                          Closes: #410363

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 07 Feb 2008 19:17:48 -0600

angband (1:3.0.6-4) unstable; urgency=low

  * Bug fix: "angband: error on upgrade: ... scores.raw': No such file or
    directory", thanks to Ross Boylan                     (Closes: #374580).

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 20 Jun 2006 00:57:42 -0500

angband (1:3.0.6-3) unstable; urgency=low

  * Ack NMU.
  * Updated copyright files.
  * Bug fix: "angband: Upgrade woody-&gt;sarge has lost high-score file",
    thanks to Matthew Vernon. Now try to recover from the
    /var/lib/games/angbane to the /var/games/angband move, and try to
    clear out the obsolete cruft on install.             (Closes: #370223).
  * Bug fix: "diff for 1:3.0.6-2.1 NMU", thanks to Steinar H. Gunderson
    Applied.                                             (Closes: #372653).

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 14 Jun 2006 15:24:42 -0500

angband (1:3.0.6-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * List libxaw7-dev as preferred build-dependency for libxaw[678]-dev, as
    libxaw8-dev no longer exists in unstable; fixes FTBFS. (Closes: #370085)

 -- Steinar H. Gunderson <sesse@debian.org>  Sat, 10 Jun 2006 19:26:54 +0200

angband (1:3.0.6-2) unstable; urgency=low

  * Updated build dependencies
  * Bug fix: "failure to purge", thanks to Sebastian Rittau. Make sure we
    get rid of all the add-on info files as well.            (Closes: #345593).

 -- Manoj Srivastava <srivasta@debian.org>  Wed,  8 Feb 2006 10:28:12 -0600

angband (1:3.0.6-1) unstable; urgency=low

  * New upstream release
     - Wands and staves are no longer destroyed when a recharge attempt
       backfires.  Instead all the charges are drained.
     - Renamed the artifact short sword 'Gilettar' to 'Dagmor' since that
       name is mentioned for the sword of Beren in Tolkien's notes.
       (suggested by Tyler Witter)
     - Added a new type of subwindow for displaying the dungeon area around
       the player.
     - Added a new subwindow type "Display player (compact)" that displays
       the left-hand-side of the main term (player stats, hitpoints, gold,
       ...) in a separate window.
     - Added a new window type that displays the info from the status line.
     - Turned the "scroll map while targetting" option permanently on.
     - Added a display of the temporary resists to the status line.  The
       resists are only displayed if there is enough room after the dungeon
       level (when using a main or status term with at least 85 cols).
       The verbosity of the output (between "Acid Elec Fire Cold Pois" and
       "AEFCP") depends on the term width.
     - Display the player's speed in the character dump and on the info page.
     - Identified scrolls can now look different from unidentified ones.
       This allows the use of the individual scroll tiles created by David
       Gervais.
     - Allow the ammo-branding activation of 'Cubragol' to be aborted without
       using up the charge. (Diego Gonzalez and Jeff Greene)
     - Use actual monster and object symbols instead of a list of hardcoded
       symbols when hallucinating.
     - Added Craig Oliver's Sound FX Patch version 1.1 that adds about 120
       new sound events to the game.


=== debian/control ===
Source: angband
VCS-Git: git://git.debian.org/~srivasta/debian/angband.git
VCS-Browser: http://git.debian.org/git/users/srivasta/debian/angband.git
Section: main/games
Priority: optional
Maintainer: Manoj Srivastava <srivasta@debian.org>
Build-Depends: libncurses5-dev | libncurses-dev | ncurses-dev,
 libsdl1.2-dev | libsdl-dev, libsdl-mixer1.2-dev,
 libsdl-gfx1.2-dev, libsdl-image1.2-dev, libsdl-ttf2.0-dev,
 libsdl-net1.2-dev
Standards-Version: 3.8.0.0

Package: angband
Architecture: any
Depends: ${shlibs:Depends}
Description: A single-player, text-based, dungeon simulation game.
 Angband is a single-player, text-based, dungeon simulation derived
 from the game Moria, which was in turn based on Rogue. It is
 often described as a "roguelike" game because the look and feel of
 the game is still quite similar to Rogue.
 .
 Angband features many enhancements over Moria: unique foes, artifacts,
 monster pits and vaults to name a few. Many of these new creatures
 and objects are drawn from the writings of J.R.R Tolkien, although
 some of the monsters come straight from classical mythology, Dungeons
 & Dragons, Rolemaster, or the minds of the original Angband coders.
 .
 The ultimate goal of the game is to develop a character strong enough
 to defeat Morgoth, who resides on dungeon level 100. Upon doing so,
 you will receive the exalted status of "winner" and your character may
 retire.
 .
 Angband is a reference to Morgoth's "prison of iron."
 .
 Morgoth was 'the Dark Enemy of Middle-Earth' during its First Age. He
 was banished by the Valar (offspring of Eru, "god" of J.R.R.
 Tolkien's world) at the end of the First Age and thus never appears
 in The Lord of the Rings, set during the Third Age. Sauron, who does
 figure into those tales, was the most powerful of his servants. Read
 Tolkien's 'The Silmarillion' for more on the legends of Middle-Earth.
